%{?!python3_pkgversion:%global python3_pkgversion 3}

%global srcname fedora-messaging-git-hook-messages
%global mod_name fedora_messaging_git_hook_messages

Name:           fedora-messaging-git-hook-messages
Version:        1.0.1
Release:        1%{?dist}
Summary:        A schema package for messages sent by Fedora Messaging Git Hook
License:        LGPL-3.0-or-later
URL:            https://github.com/fedora-infra/fedora-messaging-git-hook-messages
Source0:        fedora-messaging-git-hook-messages-1.0.1.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
# Tests
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-fedora-messaging

%{?python_enable_dependency_generator}

%description
# Fedora Messaging Git Hook messages

A schema package for [Fedora Messaging Git Hook](http://github.com/fedora-infra/fedora-messaging-git-hook).

See the [detailed documentation](https://fedora-messaging.readthedocs.io/en/latest/messages.html) on packaging your schemas.

![PyPI](https://img.shields.io/pypi/v/fedora-messaging-git-hook-messages.svg)
![Supported Python versions](https://img.shields.io/pypi/pyversions/fedora-messaging-git-hook-messages.svg)
![Build status](http://github.com/fedora-infra/fedora-messaging-git-hook-messages/actions/workflows/main.yml/badge.svg?branch=main)



%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%if %{undefined python_enable_dependency_generator} && %{undefined python_disable_dependency_generator}
Requires:       python%{python3_pkgversion}-fedora-messaging
%endif

%description -n python%{python3_pkgversion}-%{srcname}
# Fedora Messaging Git Hook messages

A schema package for [Fedora Messaging Git Hook](http://github.com/fedora-infra/fedora-messaging-git-hook).

See the [detailed documentation](https://fedora-messaging.readthedocs.io/en/latest/messages.html) on packaging your schemas.

![PyPI](https://img.shields.io/pypi/v/fedora-messaging-git-hook-messages.svg)
![Supported Python versions](https://img.shields.io/pypi/pyversions/fedora-messaging-git-hook-messages.svg)
![Build status](http://github.com/fedora-infra/fedora-messaging-git-hook-messages/actions/workflows/main.yml/badge.svg?branch=main)



%prep
%autosetup -p1 -n fedora-messaging-git-hook-messages-1.0.1


%build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py3_install


%check
%{__python3} -m pytest -vv tests/


%files -n  python%{python3_pkgversion}-%{srcname}
%license LICENSES/LGPL-3.0-or-later.txt
%doc README.md
%{python3_sitelib}/%{mod_name}/
%{python3_sitelib}/%{mod_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Nov 30 2023 Aurélien Bompard <aurelien@bompard.org>
- initial package
